Page MenuHomePhabricator

Redirects do not appear in preview
Closed, ResolvedPublic8 Story Points

Description

If a page begins with "#REDIRECT" it will not appear under preview changes while using the 2017 wikitext editor.
e.g.

is missing

Event Timeline

Daylen created this task.Mar 30 2018, 10:07 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMar 30 2018, 10:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gh87 added a subscriber: gh87.Mar 31 2018, 4:22 AM

Anyone using the feature can try this link as an example: https://en.wikipedia.org/w/index.php?title=Colour&redirect=no

gh87 removed a subscriber: gh87.Mar 31 2018, 4:48 AM
Esanders claimed this task.Apr 2 2018, 4:35 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders set the point value for this task to 8.

Change 423502 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Show redirect link in preview

https://gerrit.wikimedia.org/r/423502

Change 423502 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Show redirect link in preview

https://gerrit.wikimedia.org/r/423502

Deskana closed this task as Resolved.Apr 9 2018, 3:31 PM
Deskana triaged this task as Normal priority.
gh87 added a subscriber: Deskana.Apr 12 2018, 5:13 AM

@Deskana I don't know why you marked it as "Resolved". Redirects are still un-editable at various browsers on Windows 7. Another example is https://en.wikipedia.org/w/index.php?title=Yoghurt&redirect=no

Can this task be reopened please? Thanks.

Deskana added a subscriber: gh87.Apr 12 2018, 10:02 AM

@Deskana I don't know why you marked it as "Resolved". Redirects are still un-editable at various browsers on Windows 7. Another example is https://en.wikipedia.org/w/index.php?title=Yoghurt&redirect=no
Can this task be reopened please? Thanks.

I marked this task as resolved because it is about redirects not appearing in previews, which was fixed by the above patch, and not about redirects being uneditable. I believe the issue you are talking about is documented in T178976?

gh87 removed a subscriber: gh87.Apr 12 2018, 10:59 PM